sct_maths -i ./sub-c1/dwi/sub-c1_dwi.nii.gz -mean t -o dmri_mean.nii.gz

sct_propseg -i dmri_mean.nii.gz -c dwi -qc ./qc

sct_create_mask -i dmri_mean.nii.gz -p centerline,dmri_mean_seg.nii.gz -size 35mm 
#I tried different redius for creating mask, but it did not help.

sct_crop_image -i ./sub-c1/dwi/sub-c1_dwi.nii.gz -m mask_dmri_mean.nii.gz -o dmri_crop.nii.gz 
#I also tried to just work with the original image instead of the cropped image, the result did not change.

################################################################################

sct_dmri_moco -i dmri_crop.nii.gz -bvec ./sub-c1/dwi/sub-c1_dwi.bvec 

sct_propseg -i dmri_crop_moco_dwi_mean.nii.gz -c dwi -qc ./qc

sct_register_multimodal -i $SCT_DIR/data/PAM50/template/PAM50_t1.nii.gz -iseg $SCT_DIR/data/PAM50/template/PAM50_cord.nii.gz -d dmri_crop_moco_dwi_mean.nii.gz -dseg dmri_crop_moco_dwi_mean_seg.nii.gz -param step=1,type=seg,algo=centermass:step=2,type=seg,algo=bsplinesyn,slicewise=1,iter=3 -initwarp $SCT_DIR/sct_example_data/t2s/warp_template2t2s.nii.gz -initwarpinv $SCT_DIR/sct_example_data/t2s/warp_t2s2template.nii.gz -qc ./qc
#Here I also tried using t2 warping instead of t2s, but did not help. I worked with the -param 
#for instance I changed the algorithms, and used more itterationz, used slicewise default value. but they were not helpful.

mv warp_PAM50_t12dmri_crop_moco_dwi_mean.nii.gz warp_template2dmri.nii.gz
mv warp_dmri_crop_moco_dwi_mean2PAM50_t1.nii.gz warp_dmri2template.nii.gz

sct_warp_template -d dmri_crop_moco_dwi_mean.nii.gz -w warp_template2dmri.nii.gz

################################################################################

sct_dmri_compute_dti -i dmri_crop_moco.nii.gz -bval ./sub-c1/dwi/sub-c1_dwi.bval -bvec ./sub-c1/dwi/sub-c1_dwi.bvec

sct_extract_metric -i dti_FA.nii.gz -vert 1:7 -perlevel 1 -method map -l 51 -o fa_in_wm.csv 
#it results to zero
